Web lists-archives.com

Re: Cygwin install is broken v-a-vis dependencies




On 04/04/2017 14:45, Henry S. Thompson wrote:
cyg Simple writes:

On 4/3/2017 8:01 PM, Marco Atzeri wrote:

As Dan explained the default behavior of cygwin setup is to update
already installed packages and their dependencies.

Maybe so but even I find that this is cumbersome.  I would prefer a
choice upfront just after the download and parsing of setup.ini if I
want to update previously installed items.  I haven't mentioned it
because I don't have time to help develop that.

Also, my recent experience was that if I toggled the updated package
that was causing the trouble to 'Keep', even though _it_ didn't show up
in the download list, the (large) dependencies offering _did_ still turn
up.

If you haven't updated recently, and you have mediainfo-gui 0.7.91-1 or
earlier installed, you can reproduce.  You should be offered
mediainfo-gui 0.7.93-1.  Even if you switch it (and libmediainfo
and mediainfo to be sure) to Keep and proceed, you will be hit with a
large list of dependencies.

The current setup handle a single set of dependency for all revision of
a package (current, previous, test)

It was started a step to create the raw data for version dependency data, but it is not yet there for all packages and setup will require a deep modification

https://cygwin.com/acronyms/#SHTDI


ht


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple